import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsStudenterrorbank {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  StudentId!: bigint;
  QuestionId!: bigint;
  AnswerUrl?: string;
  Type!: number;
  Status!: number;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsStudenterrorbankSchema = defineEntity({
  class: ScsStudenterrorbank,
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    StudentId: p.bigint().name('StudentId').comment('学生id'),
    QuestionId: p.bigint().name('QuestionId').comment('问题id'),
    AnswerUrl: p.string().name('AnswerUrl').nullable().comment('回答图片地址'),
    Type: p.integer().name('Type').comment('问题来源(1-互动课堂 2-作业)'),
    Status: p.integer().name('Status').comment('状态 0:未学会 1:已学会'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
